i2o_proc_device_add
Prev | I2O message devices | Next

## Name

i2o_proc_device_add — Add an I2O device to the proc dir

## Synopsis

`void i2o_proc_device_add (` | struct proc_dir_entry * | dir,
| struct i2o_device * | dev`)`;

## Arguments

`dir`

  proc dir entry to which the device should be added

`dev`

  I2O device which should be added

## Description

Add an I2O device to the proc dir entry dir and create the entries for the device depending on the class of the I2O device.

Prev | Up | Next
i2o_proc_subdir_remove | Home | i2o_proc_iop_add